import { Datecompare } from '@/components/Common-Library'

export default fieldSet = {
        lcref:[
            {type:'string',max:35,message:'长度不能超过35个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\ownref    业务编号 
    ],
    rejflg:[
            {type:'string'},{ required: true, message: '必输项' }     // \dedgrp\rec\rejflg    拒绝标识
    ],
    rejrsn:[
            {type:'string',max:40,message:'长度不能超过40个字符'},
            {validator(rule,value,callback,source,options){
              if(source.rejflg == "T"){
                if(!value){
                  callback('拒绝通知时必填');
                }else{
                  return true;
                }
              }else{
                return true
              }
						}}
            // \dedgrp\rec\rejrsn    拒绝通知理由 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\rec\ownref    业务编号 
    ],
    _getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\getref    Get Ref. 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \dedgrp\rec\nam    概要描述 
    ],
    opndat:[
            {type:'string'},
            {validator(rule,value,callback,source,options){
              if(value){
                let res = Datecompare( source.opndat, source.expdat )
                if( source.expdat && res == 1 ){
                  callback('不得大于有效日期');
                }else{
                  return true;
                }
              }else{
                callback("必输项")
              }
						}}
            // \dedgrp\rec\opndat    开立日期 
    ],
    nom1_cur:[
            {type:'string'},  // \dedgrp\cbs\nom1\cur    Currency 
    ],
    nom1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},
            {validator(rule,value,callback,source,options){
              if(value){
                if(value <= 0){
                  callback("金额不可为 0")
                }else{
                  return true
                }
              }else{
                callback("必输项");
              }
            }}
            // \dedgrp\cbs\nom1\amt    Balance 
    ],
    nomtop:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \dedgrp\rec\nomtop    上浮 
    ],
    nomton:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \dedgrp\rec\nomton    下浮 
    ],
    max_cur:[
            {type:'string'},  // \dedgrp\cbs\max\cur    Currency 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{ required: true, message: '必输项' }  // \dedgrp\cbs\max\amt    Balance 
    ],
    isstyp:[
						{type:'string'},{ required: true, message: '必输项' }  // \dedgrp\rec\isstyp    开证类型 
    ],
    trdtyp:[
            {type:'string'},{ required: true, message: '必输项' }  // \dedgrp\rec\trdtyp    贸易方式 
    ],
    shpdat:[
            {type:'string'},
            {validator(rule,value,callback,source,options){
              if(value){
                let res = Datecompare( source.expdat, source.shpdat )
                if(source.expdat && res == -1){
                  callback('不得大于有效日期');
                }else{
                  return true;
                }
              }else{
                callback("必输项")
              }
						}}
            // \dedgrp\rec\shpdat    最迟货物装运/服务提供日期  
    ],
    expdat:[
						{type:'string'},
						{validator(rule,value,callback,source,options){
              if(value){
                let res1 = Datecompare( source.opndat, source.expdat )
                let res2 = Datecompare( source.shpdat, source.expdat )
                if(source.opndat && res1 == 1){
                  callback('不得小于开立日期');
                }else if(source.shpdat && res2 == 1 ){
                  callback("不得小于最迟装运日期")
                }else{
                  return true;
                }
              }else{
                callback("必输项")
              }
						}}
						// \dedgrp\rec\expdat    有效日期 
    ],
    avbby:[
            {type:'string'},{ required: true, message: '必输项' }  // \dedgrp\rec\avbby    信用证对付方式 
    ],
    tenmaxday:[
						{type:'string',max:3,message:'长度不能超过3个字符'}, 
						{validator(rule,value,callback,source,options){
							if(source.avbby=='USNC' && (value<=0 || value=='')){
								callback('远期付款时必填');
							}else{
								return true;
							}
						}}
             // \dedgrp\rec\tenmaxday    期限 
		],
		
		pts6_extkey:[
			{type:'string',max:16,message:'长度不能超过16个字符'},
			{validator(rule,value,callback,source,options){
        if(source.negflg=='DSIG' && !value){
          callback('指定银行时必填');
        }else{
          return true;
        }
			}}
			//     客户编号 
		],
		pts6_namcn:[
			{type:'string',max:100,message:'长度不能超过100个字符'},
			{validator(rule,value,callback,source,options){
				if(source.negflg=='DSIG' && !value){
					callback('指定银行时必填');
				}else{
					return true;
				}
			}}
			//    客户中文名称 
		],
		pts6_adrcn:[
			{type:'string',max:100,message:'长度不能超过100个字符'},	//    中文地址 
		],

    pts1_extkey:[
						{type:'string',max:16,message:'长度不能超过16个字符'},
						{validator(rule,value,callback,source,options){
              if(source.isstyp=='AGIS' && !value){
                callback('他行开证时必填');
              }else{
                return true;
              }
						}}
						// \dedgrp\apl\pts\extkey    客户编号 
    ],
    _aplp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \detp\aplp\ptysel    客户查询 
    ],
    pts1_namcn:[
						{type:'string',max:100,message:'长度不能超过100个字符'},
						{validator(rule,value,callback,source,options){
              if(source.isstyp=='AGIS' && !value){
                callback('他行开证时必填');
              }else{
                return true;
              }
						}}
						// \dedgrp\apl\pts\namcn    客户中文名称 
    ],
    pts1_adrcn:[
						{type:'string',max:100,message:'长度不能超过100个字符'},	// \dedgrp\apl\pts\adrcn    中文地址 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\ben\pts\extkey    客户编号 
    ],
    pts2_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\ben\pts\namcn    客户中文名称 
    ],
    pts2_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\ben\pts\adrcn    中文地址 
    ],
    defdet:[
            {type:'string',max:60,message:'长度不能超过60个字符'},
            {validator(rule,value,callback,source,options){
							if(source.avbby=='USNC' && !value){
								callback('远期付款时必填');
							}else{
								return true;
							}
						}}
            // \dedgrp\rec\defdet    远期付款指示 
    ],
    ownbch:[
            {type:'string'},  // \dedgrp\rec\ownbch    归属机构 
    ],
    accusr:[
            {type:'string',max:8,message:'长度不能超过8个字符'}, { required: true, message: '必输项' } // \dedgrp\rec\accusr    客户经理 
    ],
    pts4_extkey:[
						{type:'string',max:16,message:'长度不能超过16个字符'},
						{validator(rule,value,callback,source,options){
              if(source.cfmflg=='TRUE' && !value){
                callback('可保兑时必填');
              }else{
                return true;
              }
						}}
						// \dedgrp\iss\pts\extkey    客户编号 
    ],
    _issp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \detp\issp\ptysel    客户查询 
    ],
    pts4_namcn:[
						{type:'string',max:100,message:'长度不能超过100个字符'},
						{validator(rule,value,callback,source,options){
              if(source.cfmflg=='TRUE' && !value){
                callback('可保兑时必填');
              }else{
                return true;
              }
						}}
						// \dedgrp\iss\pts\namcn    客户中文名称 
    ],
    pts4_adrcn:[
						{type:'string',max:100,message:'长度不能超过100个字符'},	// \dedgrp\iss\pts\adrcn    中文地址 
    ],
    tratyp:[
            {type:'string',max:20,message:'长度不能超过20个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\tratyp    货物运输或交货方式/服务方式 
    ],
    shpfro:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\shpfro    货物装运地(港) 
    ],
    shpto:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\shpto    货物目的地、交货地（港） 
    ],
    shppro:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\shppro    服务提供地点 
    ],
    expplc:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\expplc    有效地点 
    ],
    preper:[
            {type:'string',max:100,message:'长度不能超过100个字符'}, { required: true, message: '必输项' } // \dedgrp\rec\preper    交单期限 
    ],
    conno:[
            {type:'string',max:35,message:'长度不能超过35个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\conno    合同编号 
    ],
    conamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \dedgrp\rec\conamt    合同金额 
    ],
    concur:[
            {type:'string'},  // \dedgrp\rec\concur    合同币种 
    ],
    negflg:[
            {type:'string'},{ required: true, message: '必输项' }  // \dedgrp\rec\negflg  是否可议付 
    ],
    traflg:[
            {type:'string'},  // \dedgrp\rec\traflg    是否可转让 
    ],
    cfmflg:[
            {type:'string'},  // \dedgrp\rec\cfmflg    保兑标志 
    ],
    pts5_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{ required: true, message: '必输项' }  // \dedgrp\neg\pts\extkey    客户编号 
    ],
    _negp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \detp\negp\ptysel    客户查询 
    ],
    pts5_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\neg\pts\namcn    客户中文名称 
    ],
    pts5_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\neg\pts\adrcn    中文地址 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{ required: true, message: '必输项' }  // \dedgrp\con\pts\extkey    客户编号 
    ],
    _conp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \detp\conp\ptysel    客户查询 
    ],
    pts3_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\con\pts\namcn    客户中文名称 
    ],
    pts3_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{ required: true, message: '必输项' }  // \dedgrp\con\pts\adrcn    中文地址 
    ],
    pts_extkey:[
						{type:'string',max:16,message:'长度不能超过16个字符'}, 
						{validator(rule,value,callback,source,options){
              if(source.traflg=='TRUE' && !value){
                callback('可转让时必填');
              }else{
                return true;
              }
						}}
						// \dedgrp\a2b\pts\extkey    客户编号 
    ],
    _a2bp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \detp\a2bp\ptysel    客户查询 
    ],
    pts_namcn:[
						{type:'string',max:100,message:'长度不能超过100个字符'},
						{validator(rule,value,callback,source,options){
              if(source.traflg=='TRUE' && !value){
                callback('可转让时必填');
              }else{
                return true;
              }
						}}
						// \dedgrp\a2b\pts\namcn    客户中文名称 
    ],
    pts_adrcn:[
						{type:'string',max:100,message:'长度不能超过100个字符'},	// \dedgrp\a2b\pts\adrcn    中文地址 
    ],
    trdapt:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\trdapt    分期装运/提供服务约定 
    ],
    shppar:[
            {type:'string'},{required:true,message:"必输项"}  // \dedgrp\rec\shppar    分批装运货物/分次提供服务 
    ],
    shpper:[
            {type:'string'},
            { required: true, message: '必输项' }
            // \dedgrp\rec\shpper    分期装运/提供服务 
    ], 
    shptrs:[
            {type:'string'},  // \dedgrp\rec\shptrs    转运 
    ],
    lcrgod:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\lcrgod    货物服务描述 
    ],
    lcrdoc:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},{ required: true, message: '必输项' }  // \dedgrp\rec\lcrdoc    单据要求 
    ],
    adlcnd:[
            {type:'string',max:2000,message:'长度不能超过2000个字符'},  // \dedgrp\rec\adlcnd    附加条款 
    ],
}